## org.biojava.bio.seq
Class StrandedFeature.Strand

    java.lang.Object
      |
      +--org.biojava.bio.seq.StrandedFeature.Strand

Enclosing class:
  StrandedFeature

public static class StrandedFeature.Strand
extends java.lang.Object
implements java.io.Serializable

Class to represent the 'strandedness' of a feature.

Strandedness may be re-used in other situations, but basicaly what it means is whether the feature has directionality, and if it does, does it travel from its location min to max, or max to min.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Method Summary
`char` `getToken()` Returns the token for strandedness, i.e.
`int` `getValue()` Returns the integer label for strandedness, i.e.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getValue

    public int getValue()

  Returns the integer label for strandedness, i.e. "+1", "-1", or "0" for positive, negative, and unknown strands respectively.

### getToken

    public char getToken()

  Returns the token for strandedness, i.e. "+","-","." for positive, negative and unknown strands respectively.